Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Interface ResizableExecutor

All Superinterfaces:
  Executor

All Known Implementing Classes:
  StandardThreadExecutor

    public interface ResizableExecutor

extends Executor

Method Summary
`int` | `getActiveCount()` Returns the approximate number of threads that are actively executing tasks.
`int` | `getMaxThreads()`
`int` | `getPoolSize()` Returns the current number of threads in the pool.
`boolean` | `resizePool(int corePoolSize, int maximumPoolSize)`
`boolean` | `resizeQueue(int capacity)`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Method Detail

### getPoolSize

    int getPoolSize()

  Returns the current number of threads in the pool.

  Returns:
    the number of threads

### getMaxThreads

    int getMaxThreads()

### getActiveCount

    int getActiveCount()

  Returns the approximate number of threads that are actively executing tasks.

  Returns:
    the number of threads

### resizePool

    boolean resizePool(int corePoolSize,
                       int maximumPoolSize)

### resizeQueue

    boolean resizeQueue(int capacity)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.